Bug 1121332 - jBPM designer breaks multiline java expressions.
Summary: jBPM designer breaks multiline java expressions.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER2
: 6.1.0
Assignee: Tihomir Surdilovic
QA Contact: Marek Baluch
URL:
Whiteboard:
: 1216093 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-19 11:11 UTC by Marek Baluch
Modified: 2018-01-30 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
BPMS 6.1.0.DR1
Last Closed:
Type: Bug


Attachments (Terms of Use)
full server log (199.69 KB, text/x-log)
2014-07-19 11:11 UTC, Marek Baluch
no flags Details

Description Marek Baluch 2014-07-19 11:11:00 UTC
Description of problem:
If a service task contains a java command which covers more than 1 line then saving this in the designer will make the project not compilable.

How reproducible:
100%


Steps to Reproduce:
1. Import jbpm-plaground
2. Switch to 'async-examples'
3. Go to 'Project Editor' and hit 'Build&Deploy' (build should succeed)
4. Open the 'check weather' process, make a modification (e.g. move an activity), save the change
5. Go to 'Project Editor' and hit 'Build&Deploy' (build should fail)

Actual results:
Unable to build expression for action 'String info = "Response is operation executed successfully:" + weather.success +  ...

This is the script defined in the 'Transform' script task and it contains a multiline java command (string concatenation).

Expected results:
No error and the project will be build without errors.

Additional info:
See full server.log in the attachment.

A workaround is to write one command per line. No '\n' characters.

Comment 1 Marek Baluch 2014-07-19 11:11:52 UTC
Created attachment 919270 [details]
full server log

Comment 2 Jeremy Lindop 2014-10-07 15:16:23 UTC
https://github.com/droolsjbpm/jbpm-designer/commit/e1f52ebcbb5b10d2126f41369ff7412ae226af07

Allow "\n" in Java string literals in Script activities.

Comment 3 Jeremy Lindop 2014-10-10 14:05:48 UTC
The previous commit didn't work at runtime, so reverted by undoing the changes in
https://github.com/droolsjbpm/jbpm-designer/commit/ae4952d3d12e75a7978fafb3a7c3284733e7d7e0

Comment 4 Jeremy Lindop 2014-10-24 10:07:49 UTC
Handles "\n" in single and multiline expressions in BP's, and fixes the sample BP jbpm-playground/async-examples/check weather

https://github.com/droolsjbpm/jbpm-designer/commit/97ba01ac6cac549aa38c769574d5a6d47e8e9007

https://github.com/guvnorngtestuser1/jbpm-console-ng-playground-kjar/commit/f8d378b1bde99d905788af535c1e6d70fae564e5

Comment 5 Jeremy Lindop 2014-10-27 16:01:03 UTC
Fix compilation error of "check weather" BP due to previous commit:

https://github.com/guvnorngtestuser1/jbpm-console-ng-playground-kjar/commit/6bdf9dac0e5f0e4e3d1dd188aa8f15bcb9923224

Comment 6 Marek Baluch 2014-12-02 11:00:09 UTC
Verified on 6.1.0.ER2.

Comment 7 Jeremy Lindop 2015-12-17 11:29:21 UTC
*** Bug 1216093 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.